curl --request POST \
--url https://api.aisa.one/apis/v1/companyenrich/find-similar-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
"google.com",
"microsoft.com"
],
"pageSize": 50
}
'import requests
url = "https://api.aisa.one/apis/v1/companyenrich/find-similar-companies"
payload = {
"domains": ["google.com", "microsoft.com"],
"pageSize": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domains: ['google.com', 'microsoft.com'], pageSize: 50})
};
fetch('https://api.aisa.one/apis/v1/companyenrich/find-similar-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/companyenrich/find-similar-companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domains' => [
'google.com',
'microsoft.com'
],
'pageSize' => 50
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/companyenrich/find-similar-companies"
payload := strings.NewReader("{\n \"domains\": [\n \"google.com\",\n \"microsoft.com\"\n ],\n \"pageSize\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/companyenrich/find-similar-companies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domains\": [\n \"google.com\",\n \"microsoft.com\"\n ],\n \"pageSize\": 50\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/companyenrich/find-similar-companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domains\": [\n \"google.com\",\n \"microsoft.com\"\n ],\n \"pageSize\": 50\n}"
response = http.request(request)
puts response.read_body{
"page": 123,
"items": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"domain": "<string>",
"revenue": "<string>",
"socials": {
"g2_url": "<string>",
"github_url": "<string>",
"linkedin_id": "<string>",
"twitter_url": "<string>",
"youtube_url": "<string>",
"facebook_url": "<string>",
"linkedin_url": "<string>",
"angellist_url": "<string>",
"instagram_url": "<string>",
"crunchbase_url": "<string>"
},
"website": "<string>",
"industry": "<string>",
"keywords": [
"<string>"
],
"location": {
"city": {
"id": 123,
"name": "<string>",
"latitude": 123,
"longitude": 123
},
"phone": "<string>",
"state": {
"id": 123,
"code": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123
},
"address": "<string>",
"country": {
"code": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123
},
"postal_code": "<string>"
},
"logo_url": "<string>",
"employees": "<string>",
"financial": {
"funding": [
{
"url": "<string>",
"date": "<string>",
"from": "<string>",
"type": "<string>",
"amount": 123,
"round_type": "<string>"
}
],
"funding_date": "<string>",
"stock_symbol": "<string>",
"funding_stage": "<string>",
"total_funding": 123,
"stock_exchange": "<string>"
},
"legalName": "<string>",
"page_rank": 123,
"workforce": {
"domain": "<string>",
"company_id": "<string>",
"department_headcount": {},
"history": [
{
"date": "<string>",
"headcount": 123,
"department_headcount": {},
"employee_count_range": "<string>",
"unclassified_headcount": 123,
"observed_employee_count": 123
}
],
"employee_count_range": "<string>",
"unclassified_headcount": 123,
"observed_employee_count": 123
},
"categories": [
"<string>"
],
"industries": [
"<string>"
],
"updated_at": "<string>",
"description": "<string>",
"naics_codes": [
"<string>"
],
"founded_year": 123,
"subsidiaries": [
"<string>"
],
"technologies": [
"<string>"
],
"seo_description": "<string>",
"reported_employees": "<string>"
}
],
"totalItems": 123,
"totalPages": 123,
"metadata": {
"scores": {}
}
}Find Similar Companies
curl --request POST \
--url https://api.aisa.one/apis/v1/companyenrich/find-similar-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
"google.com",
"microsoft.com"
],
"pageSize": 50
}
'import requests
url = "https://api.aisa.one/apis/v1/companyenrich/find-similar-companies"
payload = {
"domains": ["google.com", "microsoft.com"],
"pageSize": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domains: ['google.com', 'microsoft.com'], pageSize: 50})
};
fetch('https://api.aisa.one/apis/v1/companyenrich/find-similar-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/companyenrich/find-similar-companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domains' => [
'google.com',
'microsoft.com'
],
'pageSize' => 50
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/companyenrich/find-similar-companies"
payload := strings.NewReader("{\n \"domains\": [\n \"google.com\",\n \"microsoft.com\"\n ],\n \"pageSize\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/companyenrich/find-similar-companies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domains\": [\n \"google.com\",\n \"microsoft.com\"\n ],\n \"pageSize\": 50\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/companyenrich/find-similar-companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domains\": [\n \"google.com\",\n \"microsoft.com\"\n ],\n \"pageSize\": 50\n}"
response = http.request(request)
puts response.read_body{
"page": 123,
"items": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"domain": "<string>",
"revenue": "<string>",
"socials": {
"g2_url": "<string>",
"github_url": "<string>",
"linkedin_id": "<string>",
"twitter_url": "<string>",
"youtube_url": "<string>",
"facebook_url": "<string>",
"linkedin_url": "<string>",
"angellist_url": "<string>",
"instagram_url": "<string>",
"crunchbase_url": "<string>"
},
"website": "<string>",
"industry": "<string>",
"keywords": [
"<string>"
],
"location": {
"city": {
"id": 123,
"name": "<string>",
"latitude": 123,
"longitude": 123
},
"phone": "<string>",
"state": {
"id": 123,
"code": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123
},
"address": "<string>",
"country": {
"code": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123
},
"postal_code": "<string>"
},
"logo_url": "<string>",
"employees": "<string>",
"financial": {
"funding": [
{
"url": "<string>",
"date": "<string>",
"from": "<string>",
"type": "<string>",
"amount": 123,
"round_type": "<string>"
}
],
"funding_date": "<string>",
"stock_symbol": "<string>",
"funding_stage": "<string>",
"total_funding": 123,
"stock_exchange": "<string>"
},
"legalName": "<string>",
"page_rank": 123,
"workforce": {
"domain": "<string>",
"company_id": "<string>",
"department_headcount": {},
"history": [
{
"date": "<string>",
"headcount": 123,
"department_headcount": {},
"employee_count_range": "<string>",
"unclassified_headcount": 123,
"observed_employee_count": 123
}
],
"employee_count_range": "<string>",
"unclassified_headcount": 123,
"observed_employee_count": 123
},
"categories": [
"<string>"
],
"industries": [
"<string>"
],
"updated_at": "<string>",
"description": "<string>",
"naics_codes": [
"<string>"
],
"founded_year": 123,
"subsidiaries": [
"<string>"
],
"technologies": [
"<string>"
],
"seo_description": "<string>",
"reported_employees": "<string>"
}
],
"totalItems": 123,
"totalPages": 123,
"metadata": {
"scores": {}
}
}请求规范
- 方法与路径: POST /apis/v1/companyenrich/find-similar-companies
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/companyenrich/find-similar-companies - Runtime 事实版本: 820bb7817c59193621186d0a7e630f3f0f7d277be8c4a30ac65cde11e8c585c7
{
"operationId": "companyenrich.find-similar-companies",
"method": "POST",
"path": "/apis/v1/companyenrich/find-similar-companies",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"page": {
"type": "integer",
"default": 1,
"minimum": 1,
"description": "The page number to return. Must be greater than 0."
},
"type": {
"type": "array",
"items": {
"enum": [
"private",
"public",
"self-employed",
"self-owned",
"partnership",
"nonprofit",
"educational",
"government"
],
"type": "string",
"description": "Company type enum for filtering."
},
"description": "The list of company types to filter by."
},
"query": {
"type": "string",
"maxLength": 250,
"description": "The search query to apply on the company name and domain."
},
"cities": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The city IDs to filter by."
},
"expand": {
"default": [],
"items": {
"enum": [
"workforce"
],
"type": "string"
},
"maxItems": 1,
"minItems": 0,
"type": "array",
"description": "Expandable response fields. Supported values: workforce (adds the workforce field; costs 5 more credits per company)."
},
"states": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The state IDs to filter by."
},
"domains": {
"type": "array",
"items": {
"type": "string"
},
"examples": [
[
"google.com",
"microsoft.com"
]
],
"maxItems": 10,
"minItems": 1,
"description": "The domains to find similar companies for. Up to 10 domains are allowed."
},
"regions": {
"type": "array",
"items": {
"type": "string"
},
"description": "The region IDs to filter by."
},
"require": {
"type": "array",
"items": {
"enum": [
"linkedin",
"twitter",
"facebook",
"instagram",
"angellist",
"crunchbase",
"youtube",
"country",
"city",
"state",
"revenue",
"foundedYear",
"anyFunding"
],
"type": "string",
"description": "Required feature enum for filtering."
},
"description": "The features that must exist for the company."
},
"revenue": {
"type": "array",
"items": {
"enum": [
"under-1m",
"1m-10m",
"10m-50m",
"50m-100m",
"100m-200m",
"200m-1b",
"over-1b"
],
"type": "string",
"description": "Revenue range enum for filtering."
},
"description": "The list of revenue ranges to filter by."
},
"category": {
"type": "array",
"items": {
"enum": [
"b2b",
"b2c",
"b2g",
"e-commerce",
"media",
"service-provider",
"mobile",
"saas"
],
"type": "string",
"description": "Company category enum for filtering."
},
"description": "The list of company categories to filter by."
},
"keywords": {
"type": "array",
"items": {
"type": "string"
},
"examples": [
[
"cloud",
"saas"
]
],
"description": "The keywords to filter by."
},
"pageSize": {
"maximum": 100,
"minimum": 1,
"type": "integer",
"description": "The number of results to return. Must be between 1 and 100."
},
"countries": {
"type": "array",
"items": {
"type": "string"
},
"examples": [
[
"US",
"GB"
]
],
"description": "The 2 letter country codes to filter by."
},
"employees": {
"type": "array",
"items": {
"enum": [
"1-10",
"11-50",
"51-200",
"201-500",
"501-1K",
"1K-5K",
"5K-10K",
"over-10K"
],
"type": "string",
"description": "Employee count range enum for filtering."
},
"description": "The list of employee counts to filter by."
},
"naicsCode": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The NAICS codes to filter by. Can be 2 to 6 digit codes."
},
"technologies": {
"type": "array",
"items": {
"type": "string"
},
"examples": [
[
"Google Analytics",
"React"
]
],
"description": "The technologies to filter by."
},
"fundingRounds": {
"type": "array",
"items": {
"enum": [
"seed",
"debt_financing",
"angel",
"venture",
"series_a",
"series_b",
"series_c",
"series_d",
"series_e",
"series_f",
"series_g",
"series_h",
"other"
],
"type": "string",
"description": "Funding round enum for filtering."
},
"description": "The funding rounds to filter by."
},
"categoryOperator": {
"enum": [
"And",
"Or"
],
"type": "string",
"description": "Operator for category filters."
},
"keywordsOperator": {
"enum": [
"And",
"Or"
],
"type": "string",
"description": "Operator for category filters."
},
"similarityWeight": {
"type": "number",
"maximum": 1,
"minimum": -1,
"description": "The similarity weight to apply to the results. Must be between -1 and 1. 0 is default."
},
"technologiesOperator": {
"enum": [
"And",
"Or"
],
"type": "string",
"description": "Operator for category filters."
}
},
"required": [
"domains",
"pageSize"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0493,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.0493 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.0493
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
The domains to find similar companies for. Up to 10 domains are allowed.
1 - 10 elements["google.com", "microsoft.com"]
The number of results to return. Must be between 1 and 100.
1 <= x <= 100The page number to return. Must be greater than 0.
x >= 1The list of company types to filter by.
Company type enum for filtering.
private, public, self-employed, self-owned, partnership, nonprofit, educational, government The search query to apply on the company name and domain.
250The city IDs to filter by.
Expandable response fields. Supported values: workforce (adds the workforce field; costs 5 more credits per company).
1workforce The state IDs to filter by.
The region IDs to filter by.
The features that must exist for the company.
Required feature enum for filtering.
linkedin, twitter, facebook, instagram, angellist, crunchbase, youtube, country, city, state, revenue, foundedYear, anyFunding The list of revenue ranges to filter by.
Revenue range enum for filtering.
under-1m, 1m-10m, 10m-50m, 50m-100m, 100m-200m, 200m-1b, over-1b The list of company categories to filter by.
Company category enum for filtering.
b2b, b2c, b2g, e-commerce, media, service-provider, mobile, saas The keywords to filter by.
["cloud", "saas"]
The 2 letter country codes to filter by.
["US", "GB"]
The list of employee counts to filter by.
Employee count range enum for filtering.
1-10, 11-50, 51-200, 201-500, 501-1K, 1K-5K, 5K-10K, over-10K The NAICS codes to filter by. Can be 2 to 6 digit codes.
The technologies to filter by.
["Google Analytics", "React"]
The funding rounds to filter by.
Funding round enum for filtering.
seed, debt_financing, angel, venture, series_a, series_b, series_c, series_d, series_e, series_f, series_g, series_h, other Operator for category filters.
And, Or Operator for category filters.
And, Or The similarity weight to apply to the results. Must be between -1 and 1. 0 is default.
-1 <= x <= 1Operator for category filters.
And, Or